{% set CodiceModulo = "DOM_ECUOBOX_PAG" %}
{% set Urn = "document:c_c014:ecuosacchi.ecobox" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di concessione di ecuosacchi o ecobox a pagamento"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|22/10/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di concessione di ecuosacchi o ecobox a pagamento {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - concessione di ecuosacchi o ecobox a pagamento'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di concessione di ecuosacchi o ecobox a pagamento </div>
</div>

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="false")}}

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> in qualità di </span>
    </div>
    <div class="form-group col-lg-12">
      <label for=""> Ruolo </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_Ruolo" name="Tassonomia_Ruolo" label="Ruolo" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Ruolo1" name="Tassonomia_Ruolo" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Ruolo1"> utenza non domestica </label>
    {{ anagrafica.societa_senza_richiedente_indentata_responsive(prefix='Referente1', 
                                                          Solo1="Società", 
                                                          visibility_mail="mail_PEC", 
                                                          pec_obbligatoria="true", 
                                                          mandatory_enabled="#Tassonomia_Ruolo1.checked()",
                                                          cciaa="false")}}
    <div class="form-row" mandatory_enabled="#Tassonomia_Ruolo1.checked()">
      <div class="form-group col-lg-12">
        <label for="Parametri_NCemcard"> Numero cemcard </label>
        <input class="form-control" id="Parametri_NCemcard" name="Parametri_NCemcard" label="Numero cemcard">
      </div>
    </div>                                                          
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Ruolo2" name="Tassonomia_Ruolo" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_Ruolo2"> amministratore condominio </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_Ruolo2.checked()">
      <div class="form-group col-lg-12">
        <label for=""> Nominativo amministratore </label>
      </div>
      <div class="form-group col-lg-4">
        <label for="Parametri_CognomeAmministratore"> Cognome </label>
        <input class="form-control" id="Parametri_CognomeAmministratore" name="Parametri_CognomeAmministratore" label="Cognome">
      </div>
      <div class="form-group col-lg-4">
        <label for="Parametri_NomeAmministratore"> Nome </label>
        <input class="form-control" id="Parametri_NomeAmministratore" name="Parametri_NomeAmministratore" label="Nome">
      </div>
      <div class="form-group col-lg-4">
        <label for="Parametri_CodiceFiscaleAmministratore"> Codice Fiscale </label>
        <input class="form-control" id="Parametri_CodiceFiscaleAmministratore" name="Parametri_CodiceFiscaleAmministratore" label="Codice Fiscale" format="cf">
      </div>
      <div class="form-group col-lg-12">
        <label for=""> Nominativo condominio </label>
      </div>
      <div class="form-group col-lg-6">
        <label for="Parametri_Nomecondominio"> Nome </label>
        <input class="form-control" id="Parametri_Nomecondominio" name="Parametri_Nomecondominio" label="Nome">
      </div>
      <div class="form-group col-lg-6">
        <label for="Parametri_CodiceFiscalecondominio"> Codice Fiscale </label>
        <input class="form-control" id="Parametri_CodiceFiscalecondominio" name="Parametri_CodiceFiscalecondominio" label="Codice Fiscale" format="cf">
      </div>
    </div>
    {{ immobili.immobile_toponomastica_senzavalidazione_indentato_responsive(prefix="Immobile1", 
                                                               mandatory_enabled="#Tassonomia_Ruolo2.checked()", 
                                                               label="", 
                                                               enabled="true", 
                                                               suffix="", 
                                                               visibility_info="false") }}
    <div class="form-row" mandatory_enabled="#Tassonomia_Ruolo2.checked()">
      <div class="form-group col-lg-12">
        <label for="Parametri_NCemcard2"> Numero cemcard </label>
        <input class="form-control" id="Parametri_NCemcard2" name="Parametri_NCemcard2" label="Numero cemcard">
      </div>
    </div>      
  </div>     
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Ruolo3" name="Tassonomia_Ruolo" type="radio" value="3">
    <label class="form-check-label text-justify" for="Tassonomia_Ruolo3"> intestatario tari </label>
  </div>       
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Ruolo4" name="Tassonomia_Ruolo" type="radio" value="4">
    <label class="form-check-label text-justify" for="Tassonomia_Ruolo4"> appartenente a nucleo famigliare con tari intestata a </label>
    {{ anagrafica.cognome_nome(prefix='AventeTitolo', 
                               intestazione="", 
                               Solo1="Richiedente", 
                               visibility_intestazione="display:none", 
                               mandatory_enabled="#Tassonomia_Ruolo4.checked()", 
                               visibility_container="false") }}
  </div>                                              
</div> 
<globo_salto_pagina></globo_salto_pagina>
{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> la fornitura dei seguenti ecuosacchi ed ecobox </div>
</div>

<div class="container">
  <div class="paragraph text-justify"> che oltre al richiedente e al beneficiario del servizio, il nucleo familiare si compone di </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> utenze non domestiche </span>
    </div>
    <div class="form-group col-lg-6">
      <label for=""> Ecobox </label>
    </div>
    <div class="form-group col-lg-6">
      <label for=""> Numero ecobox chiesto </label>
    </div>
  </div>
  {% set testi = [
    "40 litri",
    "120 litri",
    "240 litri",
    "1.100 litri"
  ]%}
  {% for testo in testi %}
  <div class="form-row">
    <div class="col-lg-6">
      <label for=""> {{ testo|safe }} </label>
    </div>
    <div class="form-group col-lg-6">
      <input class="form-control" id="Parametri_NEcoboxRichiestoNonDom{{ loop.index }}" name="Parametri_NEcoboxRichiestoNonDom{{ loop.index }}" label="Numero ecobox chiesto" format="number">
    </div>
  </div>
  {% endfor %}
  <div class="form-row">
    <div class="form-group col-lg-6">
        <label for=""> Ecuosacchetti </label>
    </div>
    <div class="form-group col-lg-6">
      <label for=""> Numero ecuosacchi chiesto </label>
    </div>
    <div class="col-lg-6">
      <label for=""> 15 pezzi da 30 litri </label> 
    </div>
    <div class="form-group col-lg-6">
      <input class="form-control" id="Parametri_NEcuosacchi" name="Parametri_NEcuosacchi" label="Numero ecuosacchi chiesto" format="number">
    </div>
  </div>
</div>

<div class="container border bg-light">
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title"> utenze domestiche </span>
      </div>
      <div class="form-group col-lg-6">
        <label for=""> Ecuosacchi </label>
      </div>
      <div class="form-group col-lg-6">
        <label for=""> Numero ecobox chiesto </label>
      </div>
      <div class="col-lg-6">
        <label for=""> 15 pezzi da 30 litri </label>
      </div>
      <div class="form-group col-lg-6">
        <input class="form-control" id="Parametri_NEcoboxDom" name="Parametri_NEcoboxDom" label="Numero ecobox chiesto" format="number"> 
      </div>
    </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}